Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global enable_tests 1
%global module_name duplexify

Name:           nodejs-%{module_name}
Version:        3.5.1
Release:        alt1_4
Summary:        Turn a writeable and readable stream into a single streams2 duplex stream

License:        MIT
URL:            https://github.com/mafintosh/duplexify
Source0:        http://registry.npmjs.org/%{module_name}/-/%{module_name}-%{version}.tgz
BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:  npm(tape)
BuildRequires:  npm(tap)
BuildRequires:  npm(through2)
BuildRequires:  npm(concat-stream)
BuildRequires:  npm(end-of-stream)
BuildRequires:  npm(stream-shift)
BuildRequires:  npm(readable-stream)
%endif
Source44: import.info

%description
%{summary}.

%prep
%setup -q -n package
rm -rf node_modules

%nodejs_fixdep end-of-stream ~1.x

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json *.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
tap test.js
%endif

%files
%doc README.md 
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{module_name}

%changelog
* Thu Apr 11 2019 Igor Vlasenko <viy@altlinux.ru> 3.5.1-alt1_4
- new version

